### A free/open-source library for quantitative finance

Public Member Functions
PercentageStrikePayoff Class Reference

Payoff with strike expressed as percentage More...

`#include <ql/instruments/payoffs.hpp>`

Inheritance diagram for PercentageStrikePayoff:
[legend]

List of all members.

## Public Member Functions

| PercentageStrikePayoff (Option::Type type, Real moneyness)
Payoff interface
std::string | name () const
Real | operator() (Real price) const
virtual void | accept (AcyclicVisitor &)

## Detailed Description

Payoff with strike expressed as percentage

## Member Function Documentation

std::string name | ( |  | ) | const`[virtual]`

Warning:
  This method is used for output and comparison between payoffs. It is not meant to be used for writing switch-on-type code.

Implements Payoff.